chapter6 installing glibc (configure)

Hugo Ponce de Leon zoot at gmx.net
Sun Mar 25 04:52:45 PST 2001


Have you unpacked glibc-linuxthreads.tar.gz into the glibc-2.2.1 directory ?

>
> hello,
>
> i am using the intel-3.0-pre1-book. so far it seems all right but
./configure
> glibc 2.2.1 fails.
>
> this is waht i do:
> touch /etc/ld.so.conf
> mkdir /usr/src/glibc-build
> cd /usr/src/glibc-build
>
../glibc-2.2.1/configure --prefix=/usr --enable-add-ons --libexecdir=/usr/bi
n
>
> and this is what i get:
> [... seems all good so far ...]
> checking installed Linux kernel header files... 2.0.10 or later
> *** You should not compile the GNU libc without the `linuxthreads'
> *** add-on.  Not using them risks being incompatible with the
> *** libraries of other systems.  Consider getting the add-on and
restarting
> *** the configuration.
> *** If you really mean to not use this add-on, run configure again
> *** using the extra parameter `--disable-sanity-checks'.
> I have no name!:
>



-- 
Unsubscribe: send email to lfs-discuss-request at linuxfromscratch.org
and put unsubscribe in the subject header of the message




More information about the lfs-dev mailing list